VelocityReport Plugin - Defect #3

media:/// url preview in web client not supported
06/23/2010 02:52 AM - Patrick Talbot

Status: Closed Start date: 06/23/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 100%
Category: overall Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Could be done with the help of Servoy, exposing their URLStreamHandler in the public API.
Case #281540 opened on Servoy's support system.

IClientPluginAccess.getMediaURLStreamHandler(); will be part of Servoy 6 API.
| have requested a backport to 5.x. - no news

History

#1 - 06/24/2010 11:55 PM - Patrick Talbot
- Category set to overall

- Assignee set to Patrick Talbot

#2 - 07/21/2010 05:44 AM - Patrick Talbot

- Status changed from New to In Progress

#3 - 07/21/2010 05:45 AM - Patrick Talbot
- % Done changed from 0 to 50

Servoy 5.2rc3 integrates the required IClientPluginAccess.getMediaURLStreamHandler() method.
Testing now on all platform...

#4 - 07/22/2010 01:14 AM - Patrick Talbot
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
Confirm as fixed with Servoy 5.2rc3+ and next VelocityReport release (v1.2.4)
#5 - 08/13/2010 05:21 AM - Patrick Talbot

MediaWrapper URLs produced with plugins.file.getMedia('mediaName.png') and inserted in reports are confirmed to work in Servoy 5.2 final in web
client.
